Loading...
Searching...
No Matches
Opm::RestartIO::Helpers::AggregateAquiferData Class Reference

## Public Member Functions

| AggregateAquiferData (const InteHEAD::AquiferDims &aqDims, const AquiferConfig &aqConfig, const EclipseGrid &grid)
| Constructor.
void | captureDynamicAquiferData (const InteHEAD::AquiferDims &aqDims, const AquiferConfig &aqConfig, const ScheduleState &sched, const data::Aquifers &aquData, const SummaryState &summaryState, const UnitSystem &usys)
| Linearise dynamic information pertinent to analytic aquifers into internal arrays.
int | maximumActiveAnalyticAquiferID () const
| Retrieve the maximum active aquifer ID over all analytic aquifers.
const std::vector< int > & | getIntegerAquiferData () const
| Retrieve Integer Aquifer Data Array.
const std::vector< float > & | getSinglePrecAquiferData () const
| Retrieve Floating-Point (Real) Aquifer Data Array.
const std::vector< double > & | getDoublePrecAquiferData () const
| Retrieve Floating-Point (Double Precision) Aquifer Data Array.
const std::vector< int > & | getNumericAquiferIntegerData () const
| Retrieve Integer Aquifer Data Array for Numeric Aquifers.
const std::vector< double > & | getNumericAquiferDoublePrecData () const
| Retrieve Double Precision Aquifer Data Array for Numeric Aquifers.
const std::vector< int > & | getIntegerAquiferConnectionData (const int aquiferID) const
| Retrieve Integer Aquifer Connection Data Array (analytic aquifers).
const std::vector< float > & | getSinglePrecAquiferConnectionData (const int aquiferID) const
| Retrieve Floating-Point (Real) Aquifer Connection Data Array (analytic aquifers).
const std::vector< double > & | getDoublePrecAquiferConnectionData (const int aquiferID) const
| Retrieve Floating-Point (Double Precision) Aquifer Connection Data Array (analytic aquifers).

## Constructor & Destructor Documentation

## AggregateAquiferData()

Opm::RestartIO::Helpers::AggregateAquiferData::AggregateAquiferData | ( | const InteHEAD::AquiferDims & | aqDims,
|  | const AquiferConfig & | aqConfig,
|  | const EclipseGrid & | grid )

explicit

Constructor.

Parameters

  [in] | aqDims | Aquifer dimensions including number of active aquifers, maximum aquifer IDs, and number of data items per aquifer (or connection) in the various output arrays.
  [in] | aqConfig | Aquifer configuration object. Keeps track of aquifer types (Carter-Tracy, Fetkovich, constant flux &c) and provides read-only access to the individual aquifer objects.
  [in] | grid | Simulation grid. Needed to map active to Cartesian cell indices and to extract (I,J,K) index tuples of the active cells.

## Member Function Documentation

## captureDynamicAquiferData()

void Opm::RestartIO::Helpers::AggregateAquiferData::captureDynamicAquiferData | ( | const InteHEAD::AquiferDims & | aqDims,
|  | const AquiferConfig & | aqConfig,
|  | const ScheduleState & | sched,
|  | const data::Aquifers & | aquData,
|  | const SummaryState & | summaryState,
|  | const UnitSystem & | usys )

Linearise dynamic information pertinent to analytic aquifers into internal arrays.

Parameters

  [in] | aqDims | Aquifer dimensions including number of active aquifers, maximum aquifer IDs, and number of data items per aquifer (or connection) in the various output arrays.
  [in] | aqConfig | Aquifer configuration object. Keeps track of aquifer types (Carter-Tracy, Fetkovich, constant flux &c) and provides read-only access to the individual aquifer objects.
  [in] | sched | Schedule state at particular report step. Keeps track of dynamically defined analytic aquifers, e.g., the constant flux aquifers entered in the SCHEDULE section.
  [in] | aquData | Dynamic aquifer data, including time constants, water mass densities, water viscosities, and initial aquifer pressures.
  [in] | summaryState | Current state of summary variables. Expected to contain at least the summary variables AAQP (aquifer pressure), AAQR (aquifer flow rate), and AAQT (total produced inflow volume from aquifer).
  [in] | usys | Unit system. Needed to convert quantities from internal to output units.

## getDoublePrecAquiferConnectionData()

const std::vector< double > & Opm::RestartIO::Helpers::AggregateAquiferData::getDoublePrecAquiferConnectionData | ( | const int | aquiferID | ) | const

inline

Retrieve Floating-Point (Double Precision) Aquifer Connection Data Array (analytic aquifers).

Parameters

  [in] | aquiferID | Aquifer for which to retrieve double precision floating point connection data array. Expected to be in the range [1..maximumActiveAnalyticAquiferID()] (inclusive).

## getIntegerAquiferConnectionData()

const std::vector< int > & Opm::RestartIO::Helpers::AggregateAquiferData::getIntegerAquiferConnectionData | ( | const int | aquiferID | ) | const

inline

Retrieve Integer Aquifer Connection Data Array (analytic aquifers).

Parameters

  [in] | aquiferID | Aquifer for which to retrieve integer connection data array. Expected to be in the range [1..maximumActiveAnalyticAquiferID()] (inclusive).

## getSinglePrecAquiferConnectionData()

const std::vector< float > & Opm::RestartIO::Helpers::AggregateAquiferData::getSinglePrecAquiferConnectionData | ( | const int | aquiferID | ) | const

inline

Retrieve Floating-Point (Real) Aquifer Connection Data Array (analytic aquifers).

Parameters

  [in] | aquiferID | Aquifer for which to retrieve single precision floating point connection data array. Expected to be in the range [1..maximumActiveAnalyticAquiferID()] (inclusive).

## maximumActiveAnalyticAquiferID()

int Opm::RestartIO::Helpers::AggregateAquiferData::maximumActiveAnalyticAquiferID | ( |  | ) | const

inline

Retrieve the maximum active aquifer ID over all analytic aquifers.

Controls output of restart information pertaining to analytic aquifer connections.

The documentation for this class was generated from the following files:

- opm/output/eclipse/AggregateAquiferData.hpp
- opm/output/eclipse/AggregateAquiferData.cpp